## org.eclipse.datatools.modelbase.sql.statements.util
Class SQLStatementsAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.statements.util.SQLStatementsAdapterFactory

Direct Known Subclasses:
  SQLStatementsItemProviderAdapterFactory

    public class SQLStatementsAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLStatementsPackage`

Constructor Summary
`SQLStatementsAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createSQLConnectionStatementAdapter()` Creates a new adapter for an object of class '`SQL Connection Statement`'.
`Adapter` `createSQLControlStatementAdapter()` Creates a new adapter for an object of class '`SQL Control Statement`'.
`Adapter` `createSQLDataChangeStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Change Statement`'.
`Adapter` `createSQLDataStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Statement`'.
`Adapter` `createSQLDiagnosticsStatementAdapter()` Creates a new adapter for an object of class '`SQL Diagnostics Statement`'.
`Adapter` `createSQLDynamicStatementAdapter()` Creates a new adapter for an object of class '`SQL Dynamic Statement`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createSQLSchemaStatementAdapter()` Creates a new adapter for an object of class '`SQL Schema Statement`'.
`Adapter` `createSQLSessionStatementAdapter()` Creates a new adapter for an object of class '`SQL Session Statement`'.
`Adapter` `createSQLStatementAdapter()` Creates a new adapter for an object of class '`SQL Statement`'.
`Adapter` `createSQLStatementDefaultAdapter()` Creates a new adapter for an object of class '`SQL Statement Default`'.
`Adapter` `createSQLTransactionStatementAdapter()` Creates a new adapter for an object of class '`SQL Transaction Statement`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStatementsAdapterFactory

    public SQLStatementsAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSQLStatementAdapter

    public Adapter createSQLStatementAdapter()

  Creates a new adapter for an object of class '`SQL Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLStatement`

### createSQLDataStatementAdapter

    public Adapter createSQLDataStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataStatement`

### createSQLSchemaStatementAdapter

    public Adapter createSQLSchemaStatementAdapter()

  Creates a new adapter for an object of class '`SQL Schema Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLSchemaStatement`

### createSQLControlStatementAdapter

    public Adapter createSQLControlStatementAdapter()

  Creates a new adapter for an object of class '`SQL Control Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLControlStatement`

### createSQLDataChangeStatementAdapter

    public Adapter createSQLDataChangeStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Change Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataChangeStatement`

### createSQLStatementDefaultAdapter

    public Adapter createSQLStatementDefaultAdapter()

  Creates a new adapter for an object of class '`SQL Statement Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLStatementDefault`

### createSQLConnectionStatementAdapter

    public Adapter createSQLConnectionStatementAdapter()

  Creates a new adapter for an object of class '`SQL Connection Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLConnectionStatement`

### createSQLDiagnosticsStatementAdapter

    public Adapter createSQLDiagnosticsStatementAdapter()

  Creates a new adapter for an object of class '`SQL Diagnostics Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDiagnosticsStatement`

### createSQLDynamicStatementAdapter

    public Adapter createSQLDynamicStatementAdapter()

  Creates a new adapter for an object of class '`SQL Dynamic Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDynamicStatement`

### createSQLSessionStatementAdapter

    public Adapter createSQLSessionStatementAdapter()

  Creates a new adapter for an object of class '`SQL Session Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLSessionStatement`

### createSQLTransactionStatementAdapter

    public Adapter createSQLTransactionStatementAdapter()

  Creates a new adapter for an object of class '`SQL Transaction Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLTransactionStatement`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.